#### PyKDE - Python Bindings for KDE

# class KPreviewWidgetBase |
Table of contents
Modules
tdefile Classes
All Classes

Module | tdefile
Class | KPreviewWidgetBase (abstract)
Inherits | TQWidget

### methods

- KPreviewWidgetBase (parent, name = 0)

  returns a KPreviewWidgetBase instance
  Argument | Type | Default
  --- | --- | ---
  parent | TQWidget |
  name | char | 0

- clearPreview () = 0

  returns nothing
  pure virtual

- setSupportedMimeTypes (mimeTypes)

  returns nothing
  In versions KDE 3.2.0 and above only
  Argument | Type | Default
  --- | --- | ---
  mimeTypes | TQStringList |

- showPreview (url) = 0

  returns nothing
  pure virtual
  Argument | Type | Default
  --- | --- | ---
  url | KURL |

- supportedMimeTypes ()

  returns (TQStringList)
  In versions KDE 3.2.0 and above only